from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XMailService(XInterface, Protocol):
    def getSupportedConnectionTypes(self) -> list[str]: ...
    def addConnectionListener(self, xListener: XConnectionListener) -> None: ...
    def removeConnectionListener(self, xListener: XConnectionListener) -> None: ...
    def isConnected(self) -> bool: ...
